MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Namespaces | Typedefs
MyGUI_Types.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include <vector>`
`#include <map>`
`#include <string>`
`#include "MyGUI_Align.h"`
`#include "MyGUI_TPoint.h"`
`#include "MyGUI_TSize.h"`
`#include "MyGUI_TRect.h"`
`#include "MyGUI_TCoord.h"`

Go to the source code of this file.

## Namespaces
| MyGUI

## Typedefs
typedef types::TPoint< int > | MyGUI::IntPoint
typedef types::TPoint< float > | MyGUI::FloatPoint
typedef types::TSize< int > | MyGUI::IntSize
typedef types::TSize< float > | MyGUI::FloatSize
typedef types::TRect< int > | MyGUI::IntRect
typedef types::TRect< float > | MyGUI::FloatRect
typedef types::TCoord< int > | MyGUI::IntCoord
typedef types::TCoord< float > | MyGUI::FloatCoord
typedef std::map< std::string, std::string > | MyGUI::MapString
typedef std::vector< std::string > | MyGUI::VectorString
typedef std::pair< std::string, std::string > | MyGUI::PairString
typedef std::vector< PairString > | MyGUI::VectorStringPairs
typedef char | MyGUI::int8
typedef short | MyGUI::int16
typedef int | MyGUI::int32
typedef unsigned char | MyGUI::uint8
typedef unsigned short | MyGUI::uint16
typedef unsigned int | MyGUI::uint32
typedef unsigned int | MyGUI::uint
typedef unsigned int | MyGUI::Char